#include <JUI/Scene.hpp>
#include <jlog/jlog.hpp>

namespace JUI {
    Scene::Scene(): Widget() {}

    Vector2 Scene::GetAbsolutePosition() const { return {0,0};}

    Vector2 Scene::GetAbsoluteSize() const { return {(float)viewport_w,(float)viewport_h};}

    void Scene::Draw() {
        DEBUG("Drawing widget")
        Widget::Draw();
    }

    void Scene::SetViewportSize(int w, int h) {
        DEBUG(std::format("Setting scene viewport size to x: {} y: {}", w, h));
        viewport_w = w;
        viewport_h = h;
    }

    void Scene::Update(float delta) {
        Widget::Update(delta);
    }
}


